#ifndef VGWIDGET_H
#define VGWIDGET_H

#include <QWidget>
#include <QPainter>
#include <QPaintEngine>
#include <QTime>
#include <QTouchEvent>
#include <QEvent>
#include <VG/openvg.h>

class VGWidget : public QWidget
{
    Q_OBJECT
public:
    VGWidget(QWidget *parent = 0);
    ~VGWidget();

protected:
    bool event(QEvent *event);
    void paintEvent(QPaintEvent *event);

private:
    QTime t0;
    QTime tt;
    int frames;

    QString message;
    bool game_prepared;
};

#endif
